<?xml version="1.0" encoding="UTF-8"?>
<ui version="4.0">
 <class>TableAndToolsWidget</class>
 <widget class="QWidget" name="TableAndToolsWidget">
  <property name="geometry">
   <rect>
    <x>0</x>
    <y>0</y>
    <width>373</width>
    <height>466</height>
   </rect>
  </property>
  <property name="windowTitle">
   <string>Form</string>
  </property>
  <layout class="QVBoxLayout" name="verticalLayout_2">
   <property name="margin">
    <number>0</number>
   </property>
   <item>
    <widget class="QStackedWidget" name="qswPages">
     <property name="currentIndex">
      <number>0</number>
     </property>
     <widget class="QWidget" name="qwSelectEdit">
      <layout class="QVBoxLayout" name="verticalLayout_3">
       <property name="margin">
        <number>0</number>
       </property>
       <item>
        <widget class="QSplitter" name="splitter">
         <property name="sizePolicy">
          <sizepolicy hsizetype="Preferred" vsizetype="Expanding">
           <horstretch>0</horstretch>
           <verstretch>0</verstretch>
          </sizepolicy>
         </property>
         <property name="lineWidth">
          <number>0</number>
         </property>
         <property name="midLineWidth">
          <number>0</number>
         </property>
         <property name="orientation">
          <enum>Qt::Vertical</enum>
         </property>
         <widget class="QTabWidget" name="qtwSelectorWidget">
          <property name="sizePolicy">
           <sizepolicy hsizetype="Expanding" vsizetype="Maximum">
            <horstretch>0</horstretch>
            <verstretch>0</verstretch>
           </sizepolicy>
          </property>
          <property name="maximumSize">
           <size>
            <width>16777215</width>
            <height>156</height>
           </size>
          </property>
          <property name="toolTip">
           <string>Frame selection</string>
          </property>
          <property name="tabShape">
           <enum>QTabWidget::Rounded</enum>
          </property>
          <property name="currentIndex">
           <number>1</number>
          </property>
          <widget class="QWidget" name="tabFrame">
           <property name="minimumSize">
            <size>
             <width>0</width>
             <height>0</height>
            </size>
           </property>
           <property name="maximumSize">
            <size>
             <width>16777215</width>
             <height>16777215</height>
            </size>
           </property>
           <attribute name="title">
            <string>Frame selection</string>
           </attribute>
           <layout class="QVBoxLayout" name="verticalLayout">
            <property name="margin">
             <number>0</number>
            </property>
            <item>
             <widget class="FrameSelectionWidget" name="qwFrameSelector" native="true">
              <property name="enabled">
               <bool>false</bool>
              </property>
              <property name="sizePolicy">
               <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
                <horstretch>0</horstretch>
                <verstretch>0</verstretch>
               </sizepolicy>
              </property>
             </widget>
            </item>
           </layout>
          </widget>
          <widget class="QWidget" name="tabData">
           <attribute name="title">
            <string>Data selection</string>
           </attribute>
           <layout class="QVBoxLayout" name="verticalLayout_4">
            <property name="margin">
             <number>0</number>
            </property>
            <item>
             <widget class="DataSelectionWidget" name="qwDataSelector" native="true">
              <property name="toolTip">
               <string>Partials / residual selection</string>
              </property>
             </widget>
            </item>
           </layout>
          </widget>
         </widget>
         <widget class="QStackedWidget" name="qswTables">
          <property name="sizePolicy">
           <sizepolicy hsizetype="Preferred" vsizetype="Expanding">
            <horstretch>0</horstretch>
            <verstretch>0</verstretch>
           </sizepolicy>
          </property>
          <property name="minimumSize">
           <size>
            <width>0</width>
            <height>0</height>
           </size>
          </property>
          <property name="lineWidth">
           <number>0</number>
          </property>
          <property name="currentIndex">
           <number>0</number>
          </property>
          <widget class="QWidget" name="pagePartTable">
           <layout class="QVBoxLayout" name="verticalLayout_11">
            <property name="margin">
             <number>0</number>
            </property>
            <item>
             <widget class="PartialsFrameTableView" name="qfPartTable">
              <property name="sizePolicy">
               <sizepolicy hsizetype="Expanding" vsizetype="Expanding">
                <horstretch>0</horstretch>
                <verstretch>0</verstretch>
               </sizepolicy>
              </property>
              <property name="frameShape">
               <enum>QFrame::StyledPanel</enum>
              </property>
              <property name="frameShadow">
               <enum>QFrame::Raised</enum>
              </property>
             </widget>
            </item>
           </layout>
          </widget>
          <widget class="QWidget" name="pageResidTable">
           <layout class="QVBoxLayout" name="verticalLayout_1">
            <property name="margin">
             <number>0</number>
            </property>
            <item>
             <widget class="ResidualsFrameTableView" name="qfResidTable">
              <property name="sizePolicy">
               <sizepolicy hsizetype="Expanding" vsizetype="Expanding">
                <horstretch>0</horstretch>
                <verstretch>0</verstretch>
               </sizepolicy>
              </property>
              <property name="frameShape">
               <enum>QFrame::StyledPanel</enum>
              </property>
              <property name="frameShadow">
               <enum>QFrame::Raised</enum>
              </property>
             </widget>
            </item>
           </layout>
          </widget>
         </widget>
         <widget class="FrameAndDataEditionWidget" name="qwEditorWidget" native="true">
          <property name="sizePolicy">
           <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
            <horstretch>0</horstretch>
            <verstretch>0</verstretch>
           </sizepolicy>
          </property>
          <property name="minimumSize">
           <size>
            <width>0</width>
            <height>125</height>
           </size>
          </property>
          <property name="maximumSize">
           <size>
            <width>16777215</width>
            <height>125</height>
           </size>
          </property>
         </widget>
        </widget>
       </item>
      </layout>
     </widget>
     <widget class="QWidget" name="qwAnalysis">
      <layout class="QVBoxLayout" name="verticalLayout_6">
       <property name="margin">
        <number>0</number>
       </property>
       <item>
        <widget class="QWidget" name="qwAnalysisChild" native="true">
         <layout class="QVBoxLayout" name="verticalLayout_9" stretch="0,1">
          <property name="margin">
           <number>0</number>
          </property>
          <item>
           <widget class="QFrame" name="qfAnaysis">
            <property name="frameShape">
             <enum>QFrame::StyledPanel</enum>
            </property>
            <property name="frameShadow">
             <enum>QFrame::Raised</enum>
            </property>
            <layout class="QVBoxLayout" name="verticalLayout_5" stretch="0,0,0,0,0,0,0">
             <property name="spacing">
              <number>2</number>
             </property>
             <property name="margin">
              <number>4</number>
             </property>
             <item>
              <widget class="QLabel" name="label_4">
               <property name="font">
                <font>
                 <pointsize>11</pointsize>
                </font>
               </property>
               <property name="text">
                <string>Analysis parameters</string>
               </property>
               <property name="alignment">
                <set>Qt::AlignCenter</set>
               </property>
              </widget>
             </item>
             <item>
              <widget class="Line" name="line_6">
               <property name="orientation">
                <enum>Qt::Horizontal</enum>
               </property>
              </widget>
             </item>
             <item>
              <widget class="AnalysisParamsWidget" name="qwAnaParams" native="true">
               <property name="enabled">
                <bool>true</bool>
               </property>
               <property name="sizePolicy">
                <sizepolicy hsizetype="Preferred" vsizetype="MinimumExpanding">
                 <horstretch>0</horstretch>
                 <verstretch>0</verstretch>
                </sizepolicy>
               </property>
               <property name="minimumSize">
                <size>
                 <width>0</width>
                 <height>350</height>
                </size>
               </property>
              </widget>
             </item>
             <item>
              <widget class="Line" name="line_2">
               <property name="orientation">
                <enum>Qt::Horizontal</enum>
               </property>
              </widget>
             </item>
             <item>
              <layout class="QHBoxLayout" name="horizontalLayout" stretch="0,0,0">
               <property name="spacing">
                <number>4</number>
               </property>
               <property name="sizeConstraint">
                <enum>QLayout::SetMaximumSize</enum>
               </property>
               <item>
                <widget class="QLabel" name="label">
                 <property name="sizePolicy">
                  <sizepolicy hsizetype="Fixed" vsizetype="Preferred">
                   <horstretch>0</horstretch>
                   <verstretch>0</verstretch>
                  </sizepolicy>
                 </property>
                 <property name="text">
                  <string>Sample file</string>
                 </property>
                </widget>
               </item>
               <item>
                <widget class="QLineEdit" name="qleAnaSampleFile"/>
               </item>
               <item>
                <widget class="QPushButton" name="qpbAnaSampleFile">
                 <property name="sizePolicy">
                  <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
                   <horstretch>0</horstretch>
                   <verstretch>0</verstretch>
                  </sizepolicy>
                 </property>
                 <property name="maximumSize">
                  <size>
                   <width>28</width>
                   <height>16777215</height>
                  </size>
                 </property>
                 <property name="text">
                  <string>...</string>
                 </property>
                </widget>
               </item>
              </layout>
             </item>
             <item>
              <widget class="Line" name="line">
               <property name="orientation">
                <enum>Qt::Horizontal</enum>
               </property>
              </widget>
             </item>
             <item>
              <layout class="QHBoxLayout" name="horizontalLayout_2">
               <item>
                <widget class="QPushButton" name="qpbAnaReset">
                 <property name="text">
                  <string>Restore defaults</string>
                 </property>
                </widget>
               </item>
               <item>
                <spacer name="horizontalSpacer">
                 <property name="orientation">
                  <enum>Qt::Horizontal</enum>
                 </property>
                 <property name="sizeHint" stdset="0">
                  <size>
                   <width>40</width>
                   <height>20</height>
                  </size>
                 </property>
                </spacer>
               </item>
               <item>
                <widget class="QPushButton" name="qpbAnaApply">
                 <property name="text">
                  <string>Re-analyse</string>
                 </property>
                </widget>
               </item>
              </layout>
             </item>
            </layout>
           </widget>
          </item>
          <item>
           <spacer name="verticalSpacer">
            <property name="orientation">
             <enum>Qt::Vertical</enum>
            </property>
            <property name="sizeHint" stdset="0">
             <size>
              <width>248</width>
              <height>284</height>
             </size>
            </property>
           </spacer>
          </item>
         </layout>
        </widget>
       </item>
      </layout>
     </widget>
     <widget class="QWidget" name="qwSynthesis">
      <layout class="QVBoxLayout" name="verticalLayout_10">
       <property name="margin">
        <number>0</number>
       </property>
       <item>
        <widget class="QWidget" name="qwSynthesisChild" native="true">
         <layout class="QVBoxLayout" name="verticalLayout_12" stretch="0,1">
          <property name="margin">
           <number>0</number>
          </property>
          <item>
           <widget class="QFrame" name="qfSynthesis">
            <property name="frameShape">
             <enum>QFrame::StyledPanel</enum>
            </property>
            <property name="frameShadow">
             <enum>QFrame::Raised</enum>
            </property>
            <layout class="QVBoxLayout" name="verticalLayout_8" stretch="0,0,0,0,0,0,0">
             <property name="spacing">
              <number>2</number>
             </property>
             <property name="margin">
              <number>4</number>
             </property>
             <item>
              <widget class="QLabel" name="label_3">
               <property name="font">
                <font>
                 <pointsize>11</pointsize>
                </font>
               </property>
               <property name="text">
                <string>Synthesis parameters</string>
               </property>
               <property name="alignment">
                <set>Qt::AlignCenter</set>
               </property>
              </widget>
             </item>
             <item>
              <widget class="Line" name="line_5">
               <property name="orientation">
                <enum>Qt::Horizontal</enum>
               </property>
              </widget>
             </item>
             <item>
              <widget class="SynthesisParamsWidget" name="qwSyntParams" native="true">
               <property name="enabled">
                <bool>true</bool>
               </property>
               <property name="sizePolicy">
                <sizepolicy hsizetype="Preferred" vsizetype="Minimum">
                 <horstretch>0</horstretch>
                 <verstretch>0</verstretch>
                </sizepolicy>
               </property>
               <property name="minimumSize">
                <size>
                 <width>0</width>
                 <height>191</height>
                </size>
               </property>
              </widget>
             </item>
             <item>
              <layout class="QGridLayout" name="gridLayout_2">
               <property name="sizeConstraint">
                <enum>QLayout::SetMaximumSize</enum>
               </property>
               <item row="0" column="0">
                <widget class="QLabel" name="label_2">
                 <property name="sizePolicy">
                  <sizepolicy hsizetype="Fixed" vsizetype="Preferred">
                   <horstretch>0</horstretch>
                   <verstretch>0</verstretch>
                  </sizepolicy>
                 </property>
                 <property name="text">
                  <string>Sample file</string>
                 </property>
                </widget>
               </item>
               <item row="0" column="1" colspan="2">
                <widget class="QLineEdit" name="qleSyntSampleFile"/>
               </item>
               <item row="0" column="3">
                <widget class="QPushButton" name="qpbSyntSampleFile">
                 <property name="sizePolicy">
                  <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
                   <horstretch>0</horstretch>
                   <verstretch>0</verstretch>
                  </sizepolicy>
                 </property>
                 <property name="maximumSize">
                  <size>
                   <width>28</width>
                   <height>16777215</height>
                  </size>
                 </property>
                 <property name="toolTip">
                  <string>Change target file for re-synthesis</string>
                 </property>
                 <property name="statusTip">
                  <string>Change target file for re-synthesis</string>
                 </property>
                 <property name="whatsThis">
                  <string/>
                 </property>
                 <property name="text">
                  <string>...</string>
                 </property>
                </widget>
               </item>
               <item row="1" column="0" colspan="2">
                <widget class="QLabel" name="label_5">
                 <property name="text">
                  <string>Sample format</string>
                 </property>
                </widget>
               </item>
               <item row="1" column="2" colspan="2">
                <widget class="QComboBox" name="qcbSyntSampleFormat">
                 <item>
                  <property name="text">
                   <string>16 bit PCM</string>
                  </property>
                 </item>
                 <item>
                  <property name="text">
                   <string>24 bit PCM</string>
                  </property>
                 </item>
                 <item>
                  <property name="text">
                   <string>32 bit PCM</string>
                  </property>
                 </item>
                 <item>
                  <property name="text">
                   <string>32 bit float</string>
                  </property>
                 </item>
                 <item>
                  <property name="text">
                   <string>64 bit float</string>
                  </property>
                 </item>
                </widget>
               </item>
              </layout>
             </item>
             <item>
              <widget class="Line" name="line_3">
               <property name="orientation">
                <enum>Qt::Horizontal</enum>
               </property>
              </widget>
             </item>
             <item>
              <widget class="Line" name="line_4">
               <property name="orientation">
                <enum>Qt::Horizontal</enum>
               </property>
              </widget>
             </item>
             <item>
              <layout class="QHBoxLayout" name="horizontalLayout_3">
               <item>
                <widget class="QPushButton" name="qpbSyntReset">
                 <property name="whatsThis">
                  <string>Restore default synthesis settings</string>
                 </property>
                 <property name="text">
                  <string>Restore defaults</string>
                 </property>
                 <property name="iconSize">
                  <size>
                   <width>20</width>
                   <height>20</height>
                  </size>
                 </property>
                </widget>
               </item>
               <item>
                <spacer name="horizontalSpacer_2">
                 <property name="orientation">
                  <enum>Qt::Horizontal</enum>
                 </property>
                 <property name="sizeHint" stdset="0">
                  <size>
                   <width>40</width>
                   <height>20</height>
                  </size>
                 </property>
                </spacer>
               </item>
               <item>
                <widget class="QPushButton" name="qpbSyntApply">
                 <property name="toolTip">
                  <string>Re-synthesise the sound</string>
                 </property>
                 <property name="statusTip">
                  <string>Re-synthesise the sound</string>
                 </property>
                 <property name="text">
                  <string>Re-synthesise</string>
                 </property>
                 <property name="iconSize">
                  <size>
                   <width>20</width>
                   <height>20</height>
                  </size>
                 </property>
                </widget>
               </item>
               <item>
                <widget class="QPushButton" name="qpbSyntPlayStart">
                 <property name="enabled">
                  <bool>true</bool>
                 </property>
                 <property name="toolTip">
                  <string>Re-synthesise the sound if needed, and then play it</string>
                 </property>
                 <property name="statusTip">
                  <string>Re-synthesise the sound if needed, and then play it using the selected player (see Options)</string>
                 </property>
                 <property name="text">
                  <string/>
                 </property>
                 <property name="icon">
                  <iconset resource="../qatsh.qrc">
                   <normaloff>:/icons/icons/player_play.png</normaloff>:/icons/icons/player_play.png</iconset>
                 </property>
                 <property name="iconSize">
                  <size>
                   <width>20</width>
                   <height>20</height>
                  </size>
                 </property>
                </widget>
               </item>
               <item>
                <widget class="QPushButton" name="qpbSyntPlayStop">
                 <property name="enabled">
                  <bool>false</bool>
                 </property>
                 <property name="text">
                  <string/>
                 </property>
                 <property name="icon">
                  <iconset resource="../qatsh.qrc">
                   <normaloff>:/icons/icons/player_stop.png</normaloff>:/icons/icons/player_stop.png</iconset>
                 </property>
                 <property name="iconSize">
                  <size>
                   <width>20</width>
                   <height>20</height>
                  </size>
                 </property>
                </widget>
               </item>
              </layout>
             </item>
            </layout>
           </widget>
          </item>
          <item>
           <spacer name="verticalSpacer_2">
            <property name="orientation">
             <enum>Qt::Vertical</enum>
            </property>
            <property name="sizeHint" stdset="0">
             <size>
              <width>20</width>
              <height>221</height>
             </size>
            </property>
           </spacer>
          </item>
         </layout>
        </widget>
       </item>
      </layout>
     </widget>
    </widget>
   </item>
  </layout>
 </widget>
 <customwidgets>
  <customwidget>
   <class>FrameSelectionWidget</class>
   <extends>QWidget</extends>
   <header>FrameSelectionWidget.h</header>
   <container>1</container>
  </customwidget>
  <customwidget>
   <class>AnalysisParamsWidget</class>
   <extends>QWidget</extends>
   <header>AnalysisParamsWidget.h</header>
   <container>1</container>
  </customwidget>
  <customwidget>
   <class>DataSelectionWidget</class>
   <extends>QWidget</extends>
   <header>DataSelectionWidget.h</header>
   <container>1</container>
  </customwidget>
  <customwidget>
   <class>SynthesisParamsWidget</class>
   <extends>QWidget</extends>
   <header>SynthesisParamsWidget.h</header>
   <container>1</container>
  </customwidget>
  <customwidget>
   <class>FrameAndDataEditionWidget</class>
   <extends>QWidget</extends>
   <header>FrameAndDataEditionWidget.h</header>
   <container>1</container>
  </customwidget>
  <customwidget>
   <class>PartialsFrameTableView</class>
   <extends>QFrame</extends>
   <header>PartialsFrameTableView.h</header>
   <container>1</container>
  </customwidget>
  <customwidget>
   <class>ResidualsFrameTableView</class>
   <extends>QFrame</extends>
   <header>ResidualsFrameTableView.h</header>
   <container>1</container>
  </customwidget>
 </customwidgets>
 <resources>
  <include location="../qatsh.qrc"/>
 </resources>
 <connections/>
</ui>
